Subject: Re: bug#65726: 29.1.50; Crash in regexp engine

From: Mattias Engdegård <[email-masked]>
Date: Fri, 15 Sep 2023 22:03:44 +0200

14 sep. 2023 kl. 16.41 skrev Stefan Monnier <[email-masked]>:

> I.e. keep the idea I proposed of keeping track of a beg..end region
> that's already been handled.  But now we really do have to maintain both
> ends (before, I only had `done` which kept track of the end of the
> region), and just "restart" when we jump back to a point before the
> "done" region.

Thank you, this looks workable and should enable some further optimisations. Another option would be to add the usual cycle detection, but this is probably faster.